#!/bin/sh

usage() {
	echo ""
	echo "$0 <destination dir> <summary> "
	echo "<destination dir> the dest to store files"
	echo "<summary> the summary file of traffic-collector"
	echo ""
	exit 1
}

if [ -z "$1" -o ! -d "$1" ] ; then 
	usage;
fi

killall -USR1 traffic-collector
if [ $? -ne 0 ] ; then 
	exit 2
fi

if [ -z "$2" -o ! -f "$2" ] ; then
	COLLECTOR=/var/run/traffic-collector
else
	COLLECTOR="$2"
fi


/usr/sbin/traffic-sort -Hb -Pb -L60 < $COLLECTOR > "$1/report-sorted.tv"
/usr/sbin/traffic-resolve < "$1/report-sorted.tv" > "$1/report-resolved.tv"
/usr/sbin/traffic-tohtml < "$1/report-resolved.tv" > "$1/report.html"
/usr/sbin/traffic-tops < "$1/report-resolved.tv" > "$1/report.ps"
/usr/sbin/traffic-togif < "$1/report-resolved.tv" > "$1/report.gif"
